import * as globby from 'globby';
import { Path as _Path, virtualFs } from '@angular-devkit/core';
import { AssetPattern } from '@angular-devkit/build-angular';
import { EntryPointTaskContext } from '../build';
declare module '../build/hooks' {
    interface NgPackagrBuilderTaskSchema {
        copyFile: {
            assets: AssetPattern[];
        };
    }
}
export interface CopyPattern {
    context: string;
    to: string;
    ignore: string[];
    from: {
        glob: string;
        dot: boolean;
    };
}
declare function createCopyPatterns(assetPatterns: AssetPattern[], host: virtualFs.Host<any>, root: _Path, projectRoot: _Path, maybeSourceRoot: _Path): CopyPattern[];
declare function executeCopyPattern(copyPattern: CopyPattern, copyOptions: globby.GlobbyOptions, root: string, onCopy?: (from: string, to: string) => void): Promise<void>;
declare function executeCopyPatterns(copyPatterns: CopyPattern[], root: string, copyOptions?: globby.GlobbyOptions, onCopy?: (pattern: CopyPattern, from: string, to: string) => void): Promise<void>;
declare function copyFilesTask(context: EntryPointTaskContext): Promise<void>;
export declare class CopyFile {
    static readonly copyFilesTask: typeof copyFilesTask;
    static readonly createCopyPatterns: typeof createCopyPatterns;
    static readonly executeCopyPattern: typeof executeCopyPattern;
    static readonly executeCopyPatterns: typeof executeCopyPatterns;
}
export {};
//# sourceMappingURL=copy-file.d.ts.map